Get all interactions with interaction participants

get

/api/boss/data/objects/ora/cxServiceCore/interaction/v1/$en/interactions/$views/interactionParticipants

Interaction participants are people or entities, such contact or household, that participate in the interaction.

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

Successful response of retrieving view interactionParticipants for resource Interactions
Body ()
Root Schema : interactions_view-interactionParticipants
Match All
Interaction participants are people or entities, such contact or household, that participate in the interaction.
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : interactions_view-interactionParticipants-allOf[1]
Type: object
Interaction participants are people or entities, such contact or household, that participate in the interaction.
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : $context
Type: object
Show Source
Nested Schema : directionCode
Match All
The list of values for the direction of the interaction, either inbound or outbound.
Show Source
  • Title: Direction
    Default Value: ORA_SVC_INBOUND
    The list of values for the direction of the interaction, either inbound or outbound.
  • Allowed Values: [ "ORA_SVC_INBOUND", "ORA_SVC_OUTBOUND" ]
Nested Schema : participants
Match All
Show Source
Nested Schema : stripeCode
Match All
The application stripe of the interaction.
Show Source
  • Title: Stripe Code
    Default Value: ORA_SVC_CRM
    The application stripe of the interaction.
  • Allowed Values: [ "ORA_SVC_CRM", "ORA_SVC_HRHD", "ORA_SVC_ISR" ]
Nested Schema : participants-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : contact
Match All
Show Source
Nested Schema : interaction
Match All
Show Source
Nested Schema : participantType
Match All
Show Source
Nested Schema : resourceParty
Match All
Show Source
Nested Schema : contact-allOf[1]
Type: object
Show Source
Nested Schema : id
Match All
Show Source
Nested Schema : name
Match All
Show Source
  • Read Only: true
  • Title: Name
    The combination of title, first, middle, last, and suffix names of the person.
Nested Schema : registryId
Match All
Show Source
  • Title: Registry ID
    The alternate identifier of the contact.
Nested Schema : interaction-allOf[1]
Type: object
Show Source
Nested Schema : participantType-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : resourceParty-allOf[1]
Type: object
Show Source
Nested Schema : person
Match All
Show Source
Nested Schema : person-allOf[1]
Type: object
Show Source
Nested Schema : id
Match All
Show Source
Nested Schema : registryId
Match All
Show Source
  • Title: Registry ID
    The alternate identifier of the contact.
Back to Top